#!/usr/bin/perl -w


use Finance::Quote;

my @papers;
if (@ARGV) {
	@papers = @ARGV;
} else {
	# example values
	#@papers = ("A0M9A2", "DE0005326565", '986855');
    @papers = ('986855', 'LU0055631609', 'F0GBR05V3L');
}


# DKB
#my $q = Finance::Quote->new("DKB");
#my %retvals = $q->fetch("dkb",@papers);
#my @details = ('name', 'price', 'currency', 'date');

# should-be possible
#my @details = $q->labels();

# Morningstarde
my $q = Finance::Quote->new("Morningstarde");
my %retvals = $q->fetch("morningstarde",@papers);
my @details = ('name', 'nav', 'currency', 'date');

foreach my $fund (@papers) {
	foreach my $detail (@details) {
		print "got $detail with value $retvals{$fund, $detail}\n";
	}
	print "\n";
}

print "\n";
